Skip to main content
GET
/
api
/
aigateway
/
v1
/
audit
Get AI Gateway Audit Data
curl --request GET \
  --url https://api.example.com/api/aigateway/v1/audit \
  --header 'X-Domino-Api-Key: <api-key>'
[
  {
    "endpointId": "<string>",
    "endpointType": "<string>",
    "eventKind": "<string>",
    "metadata": {},
    "performedBy": "<string>",
    "timestamp": "1996-07-19T03:13:44.467Z"
  }
]

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

endpointIds
string[]

Endpoint IDs to query audit data for

endpointNames
string[]

Endpoint names to query audit data for

startTime
string<date-time>

Start time (iso8601)

endTime
string<date-time>

End time (iso8601)

Response

Success

endpointId
string
required

Endpoint ID

endpointType
string
required

Endpoint type

eventKind
string
required

Event kind

metadata
object
required

A map of string -> string

performedBy
string
required

ID of user who performed the event

timestamp
string<date-time>
required

timestamp of when event was performed

Example:

"1996-07-19T03:13:44.467Z"